package com.qmth.teachcloud.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 考试科目表
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("mark_paper")
@ApiModel(value="MarkPaper对象", description="考试科目表")
public class MarkPaper implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "课程代码")
    private String courseCode;

    @ApiModelProperty(value = "科目名称")
    private String courseName;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "客观题满分")
    private Double objectiveScore;

    @ApiModelProperty(value = "主观题满分")
    private Double subjectiveScore;

    @ApiModelProperty(value = "全卷满分")
    private Double totalScore;

    @ApiModelProperty(value = "已上传人数")
    private Integer uploadCount;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "原图遮盖配置")
    private String sheetConfig;

    @ApiModelProperty(value = "及格分")
    private Double passScore;

    @ApiModelProperty(value = "优秀分")
    private Double excellentScore;

    @ApiModelProperty(value = "题卡类型")
    private String cardType;

    @ApiModelProperty(value = "试卷文件类型")
    private String paperFileType;

    @ApiModelProperty(value = "标答文件类型")
    private String answerFileType;

    @ApiModelProperty(value = "评卷是否跳转")
    private Boolean autoScroll;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }
    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }
    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }
    public Double getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(Double subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }
    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }
    public Integer getUploadCount() {
        return uploadCount;
    }

    public void setUploadCount(Integer uploadCount) {
        this.uploadCount = uploadCount;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getSheetConfig() {
        return sheetConfig;
    }

    public void setSheetConfig(String sheetConfig) {
        this.sheetConfig = sheetConfig;
    }
    public Double getPassScore() {
        return passScore;
    }

    public void setPassScore(Double passScore) {
        this.passScore = passScore;
    }
    public Double getExcellentScore() {
        return excellentScore;
    }

    public void setExcellentScore(Double excellentScore) {
        this.excellentScore = excellentScore;
    }
    public String getCardType() {
        return cardType;
    }

    public void setCardType(String cardType) {
        this.cardType = cardType;
    }
    public String getPaperFileType() {
        return paperFileType;
    }

    public void setPaperFileType(String paperFileType) {
        this.paperFileType = paperFileType;
    }
    public String getAnswerFileType() {
        return answerFileType;
    }

    public void setAnswerFileType(String answerFileType) {
        this.answerFileType = answerFileType;
    }
    public Boolean getAutoScroll() {
        return autoScroll;
    }

    public void setAutoScroll(Boolean autoScroll) {
        this.autoScroll = autoScroll;
    }

    @Override
    public String toString() {
        return "MarkPaper{" +
            "examId=" + examId +
            ", courseCode=" + courseCode +
            ", courseName=" + courseName +
            ", paperNumber=" + paperNumber +
            ", objectiveScore=" + objectiveScore +
            ", subjectiveScore=" + subjectiveScore +
            ", totalScore=" + totalScore +
            ", uploadCount=" + uploadCount +
            ", remark=" + remark +
            ", sheetConfig=" + sheetConfig +
            ", passScore=" + passScore +
            ", excellentScore=" + excellentScore +
            ", cardType=" + cardType +
            ", paperFileType=" + paperFileType +
            ", answerFileType=" + answerFileType +
            ", autoScroll=" + autoScroll +
        "}";
    }
}
