package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 评卷分组表
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("mark_group")
@ApiModel(value="MarkGroup对象", description="评卷分组表")
public class MarkGroup implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "考试ID")
    @TableId(value = "exam_id", type = IdType.AUTO)
    private Long examId;

    @ApiModelProperty(value = "课程代码")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "序号")
    private Integer number;

    @ApiModelProperty(value = "小图配置")
    private String picList;

    @ApiModelProperty(value = "满分")
    private Double totalScore;

    @ApiModelProperty(value = "双评比例")
    private Double doubleRate;

    @ApiModelProperty(value = "仲裁阈值")
    private Double arbitrateThreshold;

    @ApiModelProperty(value = "合分策略")
    private String scorePolicy;

    @ApiModelProperty(value = "任务总量")
    private Integer libraryCount;

    @ApiModelProperty(value = "已评数量")
    private Integer markedCount;

    @ApiModelProperty(value = "剩余数量")
    private Integer leftCount;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }
    public String getPicList() {
        return picList;
    }

    public void setPicList(String picList) {
        this.picList = picList;
    }
    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }
    public Double getDoubleRate() {
        return doubleRate;
    }

    public void setDoubleRate(Double doubleRate) {
        this.doubleRate = doubleRate;
    }
    public Double getArbitrateThreshold() {
        return arbitrateThreshold;
    }

    public void setArbitrateThreshold(Double arbitrateThreshold) {
        this.arbitrateThreshold = arbitrateThreshold;
    }
    public String getScorePolicy() {
        return scorePolicy;
    }

    public void setScorePolicy(String scorePolicy) {
        this.scorePolicy = scorePolicy;
    }
    public Integer getLibraryCount() {
        return libraryCount;
    }

    public void setLibraryCount(Integer libraryCount) {
        this.libraryCount = libraryCount;
    }
    public Integer getMarkedCount() {
        return markedCount;
    }

    public void setMarkedCount(Integer markedCount) {
        this.markedCount = markedCount;
    }
    public Integer getLeftCount() {
        return leftCount;
    }

    public void setLeftCount(Integer leftCount) {
        this.leftCount = leftCount;
    }

    @Override
    public String toString() {
        return "MarkGroup{" +
            "examId=" + examId +
            ", courseCode=" + courseCode +
            ", paperNumber=" + paperNumber +
            ", number=" + number +
            ", picList=" + picList +
            ", totalScore=" + totalScore +
            ", doubleRate=" + doubleRate +
            ", arbitrateThreshold=" + arbitrateThreshold +
            ", scorePolicy=" + scorePolicy +
            ", libraryCount=" + libraryCount +
            ", markedCount=" + markedCount +
            ", leftCount=" + leftCount +
        "}";
    }
}
